package foo
import io.gatling.core.Predef._
import io.gatling.core.session.Expression
import io.gatling.http.Predef._
import io.gatling.jdbc.Predef._
import io.gatling.http.Headers.Names._
import io.gatling.http.Headers.Values._
import scala.concurrent.duration._
import bootstrap._
import assertions._

class SimulationWithFollowRedirect extends Simulation {

	val feeder = csv("one.txt").circular

	// your code starts here
	val scn = scenario("My scenario")
		.feed(feeder)
		.exec(session => {
			println(session("searchCriterion").as[String])
			session
		})
		.exec(http("My Page")
			.get("http://github.com"))

	setUp(scn.inject(atOnce(1 user))) //.protocols(httpProtocol)
}